SoSphere(3IV)

NAME
SoSphere — sphere shape node

INHERITS FROM
SoBase > SoFieldContainer > SoNode > SoShape > SoSphere

SYNOPSIS
#include <Inventor/nodes/SoSphere.h>

Fields from class SoSphere:

SoSFFloat
radius

Methods from class SoSphere:

SoSphere()
static SoType
getClassTypeId()

Methods from class SoNode:

void
setOverride(SbBool state)
SbBool
isOverride() const
SoNode *
copy(SbBool copyConnections = FALSE) const
virtual SbBool
affectsState() const
static SoNode *
getByName(const SbName &name)
static int
getByName(const SbName &name, SoNodeList &list)

Methods from class SoFieldContainer:

void
setToDefaults()
SbBool
hasDefaultValues() const
SbBool
fieldsAreEqual(const SoFieldContainer *fc) const
void
copyFieldValues(const SoFieldContainer *fc, SbBool copyConnections = FALSE)
SbBool
set(const char *fieldDataString)
void
get(SbString &fieldDataString)
virtual int
getFields(SoFieldList &resultList) const
virtual SoField *
getField(const SbName &fieldName) const
SbBool
getFieldName(const SoField *field, SbName &fieldName) const
SbBool
isNotifyEnabled() const
SbBool
enableNotify(SbBool flag)

Methods from class SoBase:

void
ref()
void
unref() const
void
unrefNoDelete() const
void
touch()
virtual SoType
getTypeId() const
SbBool
isOfType(SoType type) const
virtual void
setName(const SbName &name)
virtual SbName
getName() const

DESCRIPTION
This node represents a sphere. By default, the sphere is centered at the origin and has a radius of 1. The sphere is transformed by the current cumulative transformation and is drawn with the current lighting model, drawing style, material, and geometric complexity.

A sphere does not have faces or parts. Therefore, the sphere ignores material and normal bindings, using the first material for the entire sphere and using its own normals. When a texture is applied to a sphere, the texture covers the entire surface, wrapping counterclockwise from the back of the sphere. The texture has a seam at the back on the yz-plane.

FIELDS
SoSFFloat
radius
Radius of sphere. This must be greater than 0.

METHODS

SoSphere()
Creates a sphere node with default settings.

static SoType
getClassTypeId()
Returns type identifier for this class.

ACTION BEHAVIOR
SoGLRenderAction
Draws sphere based on the current coordinates, materials, drawing style, and so on.

SoRayPickAction
Intersects the ray with the sphere. No details are created for intersections.

SoGetBoundingBoxAction
Computes the bounding box that encloses the sphere.

SoCallbackAction
If any triangle callbacks are registered with the action, they will be invoked for each successive triangle that approximates the sphere.

FILE FORMAT/DEFAULTS
Sphere {
radius	1
}

SEE ALSO
SoCone, SoCube, SoCylinder